Java Runtime Environment installation fails during installation of the BlackBerry Device Service

Article ID: KB29830

Type: Support Content

Last Modified: 02-17-2012

 

Product(s) Affected:

  • BlackBerry Device Service
CollapseEnvironment
  • BlackBerry® Device Service
CollapseOverview

The installation of the BlackBerry® Device Service fails while trying to install an update to the Java® Runtime Environment with the following error:

Java Runtime Environment 6.0 update 18 installation has failed.  Please check the install log for more information.  Setup will now exit.

<![endif][if gte mso 9]><![endif][if gte mso 10]> <![endif]-->

CollapseCause
This issue is due to the Windows® Root Certificates being out of date.
CollapseResolution
Updating the Windows Root Certificates should allow the installation to complete successfully.

Disclaimer

By downloading, accessing or otherwise using the Knowledge Base documents you agree:

   (a) that the terms of use for the documents found at www.blackberry.com/legal/knowledgebase apply to your use or reference to these documents; and

   (b) not to copy, distribute, disclose or reproduce, in full or in part any of the documents without the express written consent of RIM.


Visit the BlackBerry Technical Solution Center at www.blackberry.com/btsc.